/* Case Study detail page start */

.banner-v2 {
  height: calc(100vh - 2rem);
  padding: 1rem 0;
}

.hover-box-effect-v2 {
  display: flex;
  flex-direction: column;
  gap: 1.75rem;
  align-items: center;
  padding: 1rem 2rem;
  background-color: var(--background-clr);
  border-radius: 1rem;
  text-align: center;
  border: 1px solid transparent;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  height: 100%;
  transition: 0.4s ease-in-out;
}

.zoom-in-v2 {
  transform: scale(1) translateY(0);
  transition: 0.3s ease-in-out;
}

.zoom-out-v2 {
  font-size: 1.1rem;
  transform: scale(1) translateY(0);
  transition: 0.3s ease-in-out;
}

.hover-box-effect-v2:hover .zoom-in-v2 {
  transform: scale(1.35) translateY(10%);
}

.hover-box-effect-v2:hover .zoom-out-v2 {
  transform: scale(0.85) translateY(10%);
  color: var(--dark-clr);
}

.hover-box-effect-v2:hover {
  border: 1px solid var(--dark-clr);
}

.cv-highlight-points {
  margin: 1rem 0;
}

.cv-highlight-points,
.cv-highlight-points-v2 {
  display: flex;
  align-items: center;
  gap: 1rem;
  text-align: start;
  background-color: var(--background-clr);
  border: 2px solid var(--dark-clr);
  padding: 0.5rem 0.5rem 0.5rem 2.75rem;
  border-radius: 2rem;
  font-size: clamp(1rem, 2vw, 1.2rem);
  font-weight: 500;
}

.quote-v2 {
  position: relative;
  border: 4px solid rgba(101, 177, 219, 0.5);
  padding: 4.5rem 4rem;
  border-radius: 1.5rem;
  background: #bfdff6;
  margin: 1rem 0;
  font-size: 1rem;
  font-weight: 500;
  line-height: 2rem;
}

.qoute-txt-v2 {
  font-size: clamp(1rem, 2vw, 1.45rem);
}

.quotepng-v2 {
  content: "";
  position: absolute;
  top: 15%;
  left: 3%;
  padding: 1rem;
  background-image: url(/img/v2/homeWeb/case-quote.webp);
  background-repeat: no-repeat;
  width: 64px;
  height: 64px;
  transform: scale(1);
}

.color-change-effect-v2 {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: start;
  padding: 1rem;
  border-radius: 0.75rem;
  height: 100%;
  transition: 0.4s ease-in-out;
}

.color-effect-v2 {
  filter: grayscale(1) contrast(1.5) brightness(1);
  mix-blend-mode: multiply;
  -webkit-filter: grayscale(1) contrast(1.5) brightness(1);
  /* For Safari */
  transition: 0.4s ease-in-out;
}

.color-1,
.color-2,
.color-3,
.color-4,
.color-5,
.color-6,
.color-7,
.color-8,
.color-9,
.color-10,
.color-11,
.color-12,
.color-13 {
  position: relative;
  color: var(--dark-clr);
  transition: 0.4s ease-in-out;
}

.color-1::after,
.color-2::after,
.color-3::after,
.color-4::after,
.color-5::after,
.color-6::after,
.color-7::after,
.color-8::after,
.color-9::after,
.color-10::after,
.color-11::after,
.color-12::after,
.color-13::after {
  content: "";
  position: absolute;
  bottom: -10%;
  left: 0;
  width: 0%;
  height: 3px;
  transition: 0.4s ease-in-out;
}

.color-1::after {
  background-color: #de4c28;
}

.color-2::after {
  background-color: #d2189a;
}

.color-3::after {
  background-color: #c3290e;
}

.color-4::after {
  background-color: #633ed2;
}

.color-5::after {
  background-color: #42976e;
}

.color-6::after {
  background: rgb(255, 0, 0);
  background: linear-gradient(50deg, rgb(248, 35, 7) 0%, rgb(255, 166, 0) 80%);
}

.color-7::after {
  background-color: #c30e11;
}

.color-8::after {
  background: rgb(255, 0, 0);
  background: linear-gradient(50deg, rgb(7, 91, 248) 0%, rgb(225, 0, 255) 80%);
}

.color-9::after {
  background-color: #34d339;
}

.color-10::after {
  background-color: #ed5d23;
}

.color-11::after {
  background-color: #fd0c74;
}

.color-12::after {
  background-color: var(--dark-clr);
}

.color-13::after {
  background-color: #c6a20f;
}

.color-change-effect-v2:hover .color-1 {
  color: #de4c28;
}

.color-change-effect-v2:hover .color-2 {
  color: #d2189a;
}

.color-change-effect-v2:hover .color-3 {
  color: #c3290e;
}

.color-change-effect-v2:hover .color-4 {
  color: #633ed2;
}

.color-change-effect-v2:hover .color-5 {
  color: #42976e;
}

.color-change-effect-v2:hover .color-6 {
  background: linear-gradient(50deg, rgb(248, 35, 7) 0%, rgb(255, 166, 0) 80%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.color-change-effect-v2:hover .color-7 {
  color: #c30e11;
}

.color-change-effect-v2:hover .color-8 {
  background: rgb(255, 0, 0);
  background: linear-gradient(50deg, rgb(7, 91, 248) 0%, rgb(225, 0, 255) 80%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.color-change-effect-v2:hover .color-9 {
  color: #34d339;
}

.color-change-effect-v2:hover .color-10 {
  color: #ed5d23;
}

.color-change-effect-v2:hover .color-11 {
  color: #fd0c74;
}

.color-change-effect-v2:hover .color-12 {
  color: var(--dark-clr);
}

.color-change-effect-v2:hover .color-13 {
  color: #c6a20f;
}

.color-change-effect-v2:hover .color-1::after,
.color-change-effect-v2:hover .color-2::after,
.color-change-effect-v2:hover .color-3::after,
.color-change-effect-v2:hover .color-4::after,
.color-change-effect-v2:hover .color-5::after,
.color-change-effect-v2:hover .color-6::after,
.color-change-effect-v2:hover .color-7::after,
.color-change-effect-v2:hover .color-8::after,
.color-change-effect-v2:hover .color-9::after,
.color-change-effect-v2:hover .color-10::after,
.color-change-effect-v2:hover .color-11::after,
.color-change-effect-v2:hover .color-12::after,
.color-change-effect-v2:hover .color-13::after {
  width: 100%;
}

.color-change-effect-v2:hover .color-effect-v2 {
  filter: grayscale(0);
}

.color-change-effect-v2:hover {
  box-shadow: 0px 3px 8px 0px rgba(112, 112, 112, 0.1),
    0px 14px 14px 0px rgba(112, 112, 112, 0.09),
    0px 31px 19px 0px rgba(112, 112, 112, 0.05),
    0px 55px 22px 0px rgba(112, 112, 112, 0.01),
    0px 87px 24px 0px rgba(112, 112, 112, 0);
}

.bg-color-effect {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
  text-align: center;
  padding: 1.4rem;
  border-radius: 0.75rem;
  box-shadow: -6px 0px 16px 0px rgba(0, 0, 0, 0.1);
  height: 100%;
  transition: 0.4s ease-in-out;
}

.zoom {
  transform: scale(1);
  transition: 0.4s ease-in-out;
}

.bg-color-effect:hover .zoom {
  transform: scale(1.15);
}

.bg-color-effect:hover {
  background-color: var(--card-clr);
}

.points-box-container {
  padding: 2rem 1.5rem;
  height: 100%;
  border-radius: 1rem 0;
  background-color: var(--card-clr);
  transition: .3s ease-in-out;
}

.points-box-container ul {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding-top: .5rem;
}

.points-box-container:hover {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.steps-format-v2 {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  background-color: var(--card-clr);
  border: 2px solid transparent;
  padding: 3rem 3.5rem;
  text-align: center;
  border-radius: 1rem;
  transition: 0.4s ease-in-out;
}

.steps-format-v2:hover {
  border: 2px solid var(--dark-clr);
}

.steps-number-1,
.steps-number-2,
.steps-number-3,
.steps-number-4 {
  font-size: 4rem;
  display: inline-block;
  font-weight: 700;
  line-height: 5rem;
  color: var(--dark-clr);
  transform: translate(15%, 50%);
}

.set-v2 {
  width: 100%;
  border: 1px solid var(--card-clr);
  background-color: var(--card-clr);
  padding: 0.85rem 1.5rem;
  margin: 0.15rem 0;
  border-radius: 2rem;
  color: var(--dark-clr);
  font-size: 1rem;
  font-weight: 500;
  text-align: center;
}

.language-v2 {
  border: 2px solid var(--dark-clr);
  padding: 0.5rem .75rem;
  border-radius: 2rem;
  color: var(--dark-clr);
  font-size: 0.9rem;
  font-weight: 500;
  text-align: center;
  transform: scale(1);
  transition: 0.4s ease-in-out;
  white-space: nowrap;
  margin-bottom: 0 !important;
}

.language-v2:hover {
  transform: scale(1.05);
  background-color: var(--background-clr);
}

.achievement-lf {
  display: flex;
  flex-direction: row;
  align-items: center;
  text-align: left;
  gap: 4rem;
  background-color: var(--background-clr);
  border: 2px solid transparent;
  border-radius: 0.5rem;
  padding: 0.75rem 1.75rem;
  margin: 2rem 0;
  transition: 0.4s ease-in-out;
}

.achievement-lf img {
  transform: translate(10%, -25%) scale(1.5);
}

.achievement-rg {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-align: left;
  gap: 1rem;
  background-color: var(--background-clr);
  border: 2px solid transparent;
  border-radius: 0.5rem;
  padding: 0.75rem 1.75rem;
  margin: 2rem 0;
  transition: 0.4s ease-in-out;
}

.achievement-rg img {
  transform: translate(0%, -20%) scale(1.5);
}

.achievement-lf .medal {
  transform: translate(10%, -40%) scale(1.4);
}

.achievement-lf:hover,
.achievement-rg:hover {
  border: 2px solid var(--dark-clr);
}

.top-img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 0.5rem;
}

.bg-color {
  position: relative;
  width: 110px;
  background: #f4f4f4;
  border-radius: 50%;
  padding: 2rem;
  box-shadow: inset-v2 0rem 0.25rem 2.125rem 0rem rgba(0, 0, 0, 0.09);
}

.case-arrow {
  width: 34px;
  height: 34px;
  transform: rotate(0deg);
}

.cs-tableHeadContainer1-v2 {
  display: grid;
  grid-template-columns: 1fr 2fr;
  column-gap: .25rem;
}

.cs-table-head1-v2 {
  display: inline-block;
  background-color: var(--dark-clr);
  color: white;
  padding: .5rem 1rem;
  border-radius: .25rem;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.cs-tablebodyContainer1-v2 {
  margin-top: .25rem;
  display: grid;
  grid-template-columns: 1fr 2fr;
  column-gap: .25rem;
  padding: .5rem;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  border-radius: .5rem;
}

.cs-tablebodyContainer1-v2>div:nth-child(even) .cs-tablebody1-v2 {
  background-color: var(--card-clr);
}

.cs-tablebodyContainer1-v2>div:nth-child(odd) .cs-tablebody1-v2 {
  color: var(--dark-clr);
}

.cs-tablebodyContainer1-v2>div:nth-child(2) .cs-tablebody1-v2 {
  border-top-left-radius: 1rem;
  border-top-right-radius: 1rem;
}

.cs-tablebodyContainer1-v2>div:nth-child(even):last-child .cs-tablebody1-v2 {
  border-bottom-left-radius: 1rem;
  border-bottom-right-radius: 1rem;
}

.cs-tablebody1-v2 {
  padding: 1rem 0rem;
}

.cs-tablebody1-v2 p {
  padding: 0 1rem;
  font-size: 1.04rem;
  font-weight: 500;
}

.cs-mac-v2 {
  position: relative;
  display: flex;
  justify-content: center;
  margin: 2rem 0;
}

.cs-swipe-card-v2 {
  position: absolute;
  top: 7%;
  max-width: 646px;
  margin: auto;
}

.cs-tableContainer2-v2 {
  width: 100%;
  border-collapse: separate;
  border-spacing: .25rem;
}

.cs-tableHead2-v2 tr {
  background: linear-gradient(180deg,
      rgba(0, 104, 199, 1) 0%,
      rgba(0, 51, 97, 1) 100%);
  border-radius: 5px;
}

.cs-tableHead2-v2 tr th {
  padding: .75rem 1rem;
  border-radius: .26rem;
  color: white;
}

.cs-tableHead2-v2 tr th:first-child,
.cs-tableBody2-v2 tr td:first-child {
  text-align: start;
}

.cs-tableHead2-v2 tr th:last-child,
.cs-tableBody2-v2 tr td:last-child {
  text-align: center;
}

.cs-tableBody2-v2 tr td{
  padding: .75rem 1rem;
  color: var(--dark-clr);
}

.cs-tableBody2-v2 tr:nth-child(odd) td{
  border: 1px dashed var(--dark-clr);
}

.cs-tableBody2-v2 tr:nth-child(even) td{
  border: 1px solid var(--card-clr);
  background-color: var(--card-clr);
}

/* Case Study detail page end */

/* -----------------------------------------Responsiove Codes----------------------------------------------------------- */

/* Extra Small Devices (Phones) */
@media only screen and (max-width: 576px) {
  .banner {
    height: auto;
  }

  .caseDetail-about-points-parent {
    grid-template-columns: repeat(1, 1fr);
  }

  .quote-v2 {
    padding: 2.5rem 2rem;
  }

  .quotepng-v2 {
    content: "";
    position: absolute;
    top: 1%;
    left: 1%;
  }

  .top-img {
    width: 100%;
    height: 90px;
    object-fit: cover;
  }

  .steps-format-v2 {
    padding: 2rem 1.5rem;
  }

  .achievement-lf,
  .achievement-rg {
    flex-direction: column;
    gap: 1rem;
    text-align: center;
  }

  .achievement-lf img,
  .achievement-rg img {
    transform: translate(0%, 0%) scale(1);
  }

  .achievement-lf .medal {
    transform: translate(0%, 0%) scale(1);
  }

  .case-arrow {
    width: 34px;
    height: 34px;
    transform: rotate(85deg);
  }
}

/* Small Devices (Tablets) */
@media only screen and (min-width: 577px) and (max-width: 767px) {
  .banner {
    height: auto;
  }

  .caseDetail-about-points-parent {
    grid-template-columns: repeat(1, 1fr);
  }

  .quote-v2 {
    padding: 2.5rem 2rem;
  }

  .quotepng-v2 {
    content: "";
    position: absolute;
    top: 1%;
    left: 1%;
  }

  .top-img {
    width: 100%;
    height: 90px;
    object-fit: cover;
  }

  .achievement-lf,
  .achievement-rg {
    flex-direction: column;
    gap: 1rem;
    text-align: center;
  }

  .achievement-lf img,
  .achievement-rg img {
    transform: translate(0%, 0%) scale(1);
  }

  .achievement-lf .medal {
    transform: translate(0%, 0%) scale(1);
  }
}

/* Medium Devices (Laptops, Smaller Desktops) */
@media only screen and (min-width: 768px) and (max-width: 992px) {
  .banner {
    height: auto;
  }

  .quote-v2 {
    padding: 3.5rem 3rem;
  }

  .quotepng-v2 {
    content: "";
    position: absolute;
    top: 15%;
    left: 2%;
  }

}

@media only screen and (min-width: 993px) and (max-width: 1200px) {
  .quote-v2 {
    padding: 3.5rem 3rem;
  }

  .quotepng-v2 {
    content: "";
    position: absolute;
    top: 15%;
    left: 2%;
  }

}